﻿export default [
  {
    path: '/user',
    layout: false,
    routes: [
      // 登录页面
      {
        name: 'login',
        path: '/user/login',
        component: './user/Login',
      },
      {
        component: './404',
      },
    ],
  },
  // 首页
  {
    path: '/welcome',
    name: '首页',
    icon: 'smile',
    component: './Welcome',
  },
  // 内容发布
  {
    name: '内容发布',
    icon: 'crown',
    path: '/cms',
    routes: [
      // 栏目管理
      {
        path: '/cms/columnList',
        name: '栏目管理',
        icon: 'file',
        component: './cms/ColumnList',
      },
      // 文章管理
      {
        path: '/cms/articleManagement',
        name: '文章管理',
        icon: 'file',
        component: './cms/ArticleManagement',
      },
    ],
  },
  // 红外管理
  {
    path: '/infrared',
    name: '红外管理',
    icon: 'Appstore',
    routes: [
      // 类型管理
      {
        path: '/infrared/type',
        name: '版本管理',
        icon: 'Appstore',
        component: './Infrared',
      },
      // 品牌管理
      {
        path: '/infrared/brand',
        name: '品牌管理',
        icon: 'Appstore',
        component: './Infrared/brand',
      },
      // 码库管理
      {
        path: '/infrared/remote',
        name: '码库管理',
        icon: 'Appstore',
        component: './Infrared/remote',
      },
    ],
  },
  // 版本管理
  {
    path: '/editionManagement',
    name: '版本管理',
    icon: 'Appstore',
    component: './EditionManagement',
  },
  // 用户管理
  {
    path: '/UserManagement',
    name: '用户管理',
    icon: 'team',
    component: './setting/UserManagement',
  },
  // 家列表管理
  {
    path: '/homeList',
    name: '家列表管理',
    icon: 'file',
    component: './home',
  },
  // 菜单管理
  {
    path: '/MenuManagement',
    name: '菜单管理',
    icon: 'Appstore',
    component: './MenuManagement',
  },
  // 角色管理
  {
    path: '/RoleManagement',
    name: '角色管理',
    icon: 'Appstore',
    component: './RoleManagement',
  },
  {
    path: '/ParameterConfiguration',
    name: '参数配置',
    icon: 'Appstore',
    component: './ParameterConfiguration',
  },
  // {
  //   path: '/LogManagement',
  //   name: '日志管理',
  //   icon: 'Appstore',
  //   component: './LogManagement',
  // },
  {
    path: '/ProductionDataManagement',
    name: '产测数据管理',
    icon: 'Appstore',
    component: './ProductionDataManagement',
  },
  {
    path: '/DataBoard',
    name: '可视化视窗',
    icon: 'file',
    layout: false,
    component: './DataBoard',
  },
  // 版本管理
  {
    path: '/deviceFaults',
    name: '版本管理',
    icon: 'Appstore',
    component: './DeviceFaults',
  },
  // banner图管理
  {
    path: '/banner',
    name: 'banner图管理',
    icon: 'Appstore',
    component: './BannerManagement',
  },
  //  报备管理
  {
    path: '/reporting',
    name: '经销商报备管理',
    icon: 'Appstore',
    routes: [
      // 小区管理
      {
        path: '/reporting/community',
        name: '小区管理',
        icon: 'Appstore',
        component: './CommunityManagement',
      },
      // 工程项目报备
      {
        path: '/reporting/project',
        name: '工程报备',
        icon: 'Appstore',
        component: './ReportingManagement',
      },
      // 零售报备
      {
        path: '/reporting/home',
        name: '零售报备',
        icon: 'Appstore',
        component: './ReportHomeManagement',
      },
    ],
  },
  {
    path: '/afterSales',
    name: '售后管理',
    icon: 'Appstore',
    routes: [
      {
        path: '/afterSales/AfterSalesManagement',
        name: '售后管理',
        icon: 'Appstore',
        component: './AfterSales/AfterSalesManagement',
      },
      {
        path: '/afterSales/AfterSalesSupport',
        name: '售后支持管理',
        icon: 'Appstore',
        component: './AfterSales/AfterSalesSupport',
      },
    ],
  },
  // ota升级
  {
    path: '/otaUpdate',
    name: 'ota管理',
    icon: 'Appstore',
    component: './OtaManagement/index',
  },
  {
    path: '/pushMessage',
    name: '推送消息管理',
    icon: 'Appstore',
    routes: [
      {
        path: '/pushMessage/PushMessageManagement',
        name: '推送消息',
        icon: 'Appstore',
        component: './PushMessageManagement/index',
      },
    ],
  },
  {
    path: '/deviceOnline',
    name: '设备在线管理',
    icon: 'Appstore',
    component: './DeviceOnlineManagement/index',
  },
  // 房间列表
  {
    path: '/roomList',
    component: './Home/Room',
  },
  {
    path: '/',
    redirect: '/welcome',
  },
  {
    component: './404',
  },
];
